#!/usr/bin/python
# -*- coding: utf8 -*-
import requests
from model.manager import *

path = 'check/check_arpwatch'
port = 5667
def check_sites(sites):
    addr = []
    for ip in sites:
        url = "http://%s:%s/%s" %( ip, port, path)
        try:
            r = requests.get(url, timeout=10).json()
            addr.append(r)
        except Exception as e:
            print str(e)
    return addr

def archive_sites(list_sites):
    sites = check_sites(list_sites)
    for site in sites:
        existing_site = [ x for x in get_sites() if x.hostname == site['hostname'] ]
        #TODO Ne pas supprimer mais archiver les hosts
        if existing_site:
            del_site(existing_site[0])
        new_site = add_site(site['hostname'])
        for inf in site['interfaces']:
            new_inf = add_interface(inf, new_site)
            for host in site['interfaces'][inf]:
                add_host(host[3], host[2], host[1],interface=new_inf, ports=host[4])
